<?php

namespace FiloBlu\Refilo\Model\Consumer;

use FiloBlu\Esb\Api\Data\MessageInterface;
use FiloBlu\Esb\Api\Data\StatusInterface;
use FiloBlu\Esb\Framework\Consumer\AbstractConsumer;

/**
 * Class FormConsumer
 * @package FiloBlu\Refilo\Model\Consumer
 */
class ContactConsumer extends AbstractConsumer
{
    public function consume(MessageInterface $message): MessageInterface
    {


        $this->getStatus()->setCode(StatusInterface::SUCCESS);
        return $this->messageFactory->create();
    }

    public function getName(): string
    {
        return 'Refilo Form Contact Consumer';
    }

    public function getUniqueName(): string
    {
        return 'FiloBlu_Refilo::form_contact_consumer';
    }
}
